# pandas.DataFrame.where

`DataFrame.``where`(cond, other=nan, inplace=False, axis=None, level=None, try_cast=False, raise_on_error=True)

  Return an object of same shape as self and whose corresponding entries are from self where cond is True and otherwise are from other.

  Parameters:

  cond : boolean NDFrame or array

  other : scalar or NDFrame

  inplace : boolean, default False

  > Whether to perform the operation in place on the data

  axis : alignment axis if needed, default None

  level : alignment level if needed, default None

  try_cast : boolean, default False

  > try to cast the result back to the input type (if possible),

  raise_on_error : boolean, default True

  > Whether to raise on invalid data types (e.g. trying to where on strings)

  Returns: | wh : same type as caller